Page MenuHomePhabricator

Lojban translations
Closed, ResolvedPublic

Description

Several interface messages are translated to Lojban incorrectly.

Namespaces

EnglishLojban
Talkcasnu
Userpilno
User talkcasnu lo pilno
Filedatnyvei
File talkcasnu lo datnyvei
MediaWikimedi'auikis
MediaWiki talkcasnu la .medi'auikis.
Templatemorna
Template talkcasnu lo morna
Helpnundju
Help talkcasnu lo nundju
Categoryklesi
Category talkcasnu lo klesi

Several messages also have "page" translated as "ckupau". Each message that has that should say "papri" instead.

Talk namespaces should be named like the corresponding non-talk namespaces with "casnu lo" followed by a space at the beginning.

Timestamps should be written "te'i li <year> pi'e <month number> pi'e <hours> pi'e <minutes>".

Event Timeline

KSFT created this task.Nov 5 2015, 5:11 AM
KSFT raised the priority of this task from to Needs Triage.
KSFT updated the task description. (Show Details)
KSFT added a subscriber: KSFT.
Restricted Application added subscribers: StudiesWorld, Matanya, Aklapper. · View Herald TranscriptNov 5 2015, 5:11 AM
Krenair set Security to None.
Krenair added a subscriber: Krenair.

The namespaces are not interface messages. Interface messages should be fixed on translatewiki. Namespaces set up in MediaWiki and extensions need to be translated in that repository, and cannot be done by Wikimedia-Site-requests config changes.

Strings can be translated on https://translatewiki.net/w/i.php?title=Special:Translate&group=mediawiki&language=jbo&filter=&action=translate

For configuration changes like namespace renaming, we require a local consensus - please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes and feel free to forward that link to others who may want similar changes made in the future. Thanks!

KSFT added a comment.EditedNov 5 2015, 1:38 PM

I don't see month names on translatewiki.net.

I'll get consensus for the namespace though, although I don't see why that's needed when the names aren't even in Lojban now--why would someone disagree with translating them?

I don't think any of the namespaces mentioned are part of the configuration (and therefore subject to configuration change requirements such as consensus), they are part of the actual software itself. Some custom namespaces are, but not these.

As for the month names, I see them. Just go to 'https://translatewiki.net/wiki/MediaWiki:' with the English month name appended.

Sorry, beneath your huge table I just noticed this:

The Wikipedia namespace should be called "uikipedi'as", or, if apostrophes aren't allowed, "uikipediias".

That probably would be a config change, please open a separate task.

KSFT added a comment.Nov 6 2015, 3:30 AM

Do I need to open a separate task for all of the namespace name changes, or is that one different from the others?

KSFT updated the task description. (Show Details)Nov 6 2015, 12:55 PM

That one should be separate, yes.

KSFT added a comment.Nov 7 2015, 2:53 PM

The format for dates in signatures should be changed also. Should I add that to this task, add it to the other task, or make a new task?

I believe that would be in this task...

KSFT updated the task description. (Show Details)Nov 7 2015, 5:42 PM
TTO added a subscriber: TTO.Nov 10 2015, 11:13 PM
KSFT updated the task description. (Show Details)Nov 11 2015, 4:33 PM
TTO updated the task description. (Show Details)Nov 30 2015, 3:15 AM

Several messages also have "page" translated as "ckupau". Each message that has that should say "papri" instead.

Please fix issues like that at translatewiki.

please also check the changes I made to the task description, and fill in the gaps. Thanks!

TTO changed the task status from Open to Stalled.Dec 1 2015, 12:18 AM
KSFT updated the task description. (Show Details)Dec 23 2015, 2:35 AM
KSFT updated the task description. (Show Details)Dec 23 2015, 2:37 AM
TTO changed the task status from Stalled to Open.Dec 23 2015, 3:25 AM
TTO added a comment.EditedDec 23 2015, 3:27 AM

Sorry I just need two more namespace translations:

  • Media:
  • Special: (as in Special:RecentChanges, Special:Contributions etc) - this looks to be "rirci"
TTO changed the task status from Open to Stalled.Dec 23 2015, 1:10 PM
KSFT added a comment.Dec 23 2015, 1:34 PM

"Special" should be "rirci"; that's correct. I think "Media" should be "velsku".

Change 260756 had a related patch set uploaded (by TTO):
Namespace translations for Lojban (jbo)

https://gerrit.wikimedia.org/r/260756

TTO added a comment.Dec 23 2015, 1:47 PM

Please check the patch and comment here if there are any problems.

KSFT added a comment.Dec 23 2015, 1:56 PM

Oh, I did make a mistake. "Template" should be "termo'a", not "morna". "Template talk" should be "casnu lo termo'a".

TTO added a comment.Dec 24 2015, 6:10 AM

Oh, I did make a mistake. "Template" should be "termo'a", not "morna". "Template talk" should be "casnu lo termo'a".

Fixed.

TTO changed the task status from Stalled to Open.Dec 24 2015, 10:18 AM

Change 260756 merged by jenkins-bot:
Namespace translations for Lojban (jbo)

https://gerrit.wikimedia.org/r/260756

TTO closed this task as Resolved.Dec 28 2015, 8:26 AM
TTO claimed this task.

Timestamps should be written "te'i li <year> pi'e <month number> pi'e <hours> pi'e <minutes>".

Please file a new, separate Phabricator task for this issue.

One final reminder: When translating messages from English into Lojban, do it on translatewiki! Not on Lojban Wikipedia. Thanks.